"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_emotion_1 = tslib_1.__importDefault(require("react-emotion"));
exports.StyledView = react_emotion_1.default('span') `
  &[contenteditable='true']:hover {
    border-bottom: 1px dashed #777;
    cursor: text;
  }

  &[contenteditable='false'] {
    opacity: 0.6;
  }

  &[contenteditable='false']:hover {
    cursor: not-allowed;
  }

  &[contenteditable='true']:focus {
    outline: none;
    border-bottom: 1px dashed #00aeed;
    background-color: cornsilk;
  }

  &:empty:focus {
    min-width: 5px;
    display: inline-block;
  }

  &:empty:not(:focus):before {
    content: attr(placeholder);
    color: #233040;
    opacity: 0.5;
  }
`;
//# sourceMappingURL=TextField.js.map